Imports System.IO

Module Module1

    Sub Main()

        Dim strFileName As String = My.Application.Info.DirectoryPath _
                                  & "\employee_pipe.txt"
        Dim objFS As New FileStream(strFileName, FileMode.Open, FileAccess.Read)
        Dim objSR As New StreamReader(objFS)

        Dim strEmpRecord As String
        Dim astrEmpFields() As String

        Console.WriteLine("The records in the employee_fixed.txt file are:")
        Console.WriteLine("")
        Console.WriteLine("EMPLOYEE NAME".PadRight(20) _
                        & Space(3) _
                        & "DEPT" _
                        & Space(3) _
                        & "JOB TITLE".PadRight(21) _
                        & Space(3) _
                        & "HIRE DATE " _
                        & Space(3) _
                        & "HRLY RATE")
        Console.WriteLine("-------------".PadRight(20) _
                        & Space(3) _
                        & "----" _
                        & Space(3) _
                        & "---------".PadRight(21) _
                        & Space(3) _
                        & "--------- " _
                        & Space(3) _
                        & "---------")

        Do While objSR.Peek <> -1
            ' read the current record (line) into the variable strEmpRecord
            strEmpRecord = objSR.ReadLine

            ' break up the record into separate elements of the astrEmpFields array
            astrEmpFields = strEmpRecord.Split("|")

            ' Output the data to the console as a formatted line ... 
            Console.WriteLine(astrEmpFields(0).PadRight(20) _
                            & Space(3) _
                            & astrEmpFields(1).PadLeft(4) _
                            & Space(3) _
                            & astrEmpFields(2).PadRight(21) _
                            & Space(3) _
                            & Format(CDate(astrEmpFields(3)), "MM/dd/yyyy").PadRight(10) _
                            & Space(3) _
                            & Format(CSng(astrEmpFields(4)), "Currency").PadLeft(9))
        Loop

        objSR.Close()

        Console.WriteLine("")
        Console.WriteLine("Press Enter to close this window.")
        Console.ReadLine()

    End Sub

End Module
